Std ViewFitSelection/pt-br: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 3: Line 3:
{{Docnav
{{Docnav
|[[Std_ViewFitAll|ViewFitAll]]
|[[Std_ViewFitAll|ViewFitAll]]
|[[Std_AlignToSelection|AlignToSelection]]
|[[Std_ViewIsometric|ViewIsometric]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewFitAll.svg
|IconL=Std_ViewFitAll.svg
|IconR=Std_ViewIsometric.svg
|IconR=Std_AlignToSelection.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}
Line 21: Line 21:
==Descrição==
==Descrição==


The '''Std ViewFitSelection''' command zooms and pans the camera so that all selected objects fit inside the active [[3D_view|3D view]]. This command is useful in cases where for some reason objects are beyond the boundaries of the current 3D View or can't be easily found using [[Mouse_navigation|3D navigation]].
The '''Std ViewFitSelection''' command zooms and pans the camera so that all selected objects fit inside the active [[3D_view|3D view]]. This command is useful if for some reason objects are beyond the boundaries of the current 3D View or can't easily be found using [[Mouse_navigation|3D navigation]].


<span id="Usage"></span>
<span id="Usage"></span>
Line 28: Line 28:
# Select one or more objects.
# Select one or more objects.
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_ViewFitSelection.svg|16px]] [[Std_ViewFitSelection|Std ViewFitSelection]]}} button.
#* Press the {{Button|[[Image:Std_ViewFitSelection.svg|16px]] [[Std_ViewFitSelection|Fit selection]]}} button.
#* Select the {{MenuCommand|View → Standard views → [[Image:Std_ViewFitSelection.svg|16px]]Fit selection}} option from the menu.
#* Select the {{MenuCommand|View → Standard views → [[Image:Std_ViewFitSelection.svg|16px]] Fit selection}} option from the menu.
#* Select the {{MenuCommand|[[Image:Std_ViewFitSelection.svg|16px]] Fit selection}} option from the [[3D_view|3D view]] context menu.
#* Select the {{MenuCommand|[[Image:Std_ViewFitSelection.svg|16px]] Fit selection}} option from the [[3D_view|3D view]] context menu.
#* Select the {{MenuCommand|[[Image:Std_ViewFitSelection.svg|16px]] Fit selection}} option from the Mini-cube menu of the [[Navigation_Cube|Navigation Cube]].
#* Use the keyboard shortcut: {{KEY|V}} then {{KEY|S}}.
#* Use the keyboard shortcut: {{KEY|V}} then {{KEY|S}}.


==Scripting==
==Scripting==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


To change the view to 'fit selection' the {{incode|SendMsgToActiveView}} method of the FreeCADGui object can be used. This method is not available if FreeCAD is in console mode.
The {{incode|SendMsgToActiveView}} method of the FreeCADGui object can be used to zoom the active view to fit selection.


{{Code|code=
{{Code|code=
import FreeCADGui
import FreeCADGui


FreeCADGui.SendMsgToActiveView('ViewSelection')
FreeCADGui.SendMsgToActiveView("ViewSelection")
}}
}}


Line 48: Line 49:
{{Docnav
{{Docnav
|[[Std_ViewFitAll|ViewFitAll]]
|[[Std_ViewFitAll|ViewFitAll]]
|[[Std_AlignToSelection|AlignToSelection]]
|[[Std_ViewIsometric|ViewIsometric]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewFitAll.svg
|IconL=Std_ViewFitAll.svg
|IconR=Std_ViewIsometric.svg
|IconR=Std_AlignToSelection.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}


{{Std Base navi{{#translation:}}}}
{{Std_Base_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 18:17, 9 July 2024

Std ViewFitSelection

Menu location
View → Standard views → Fit selection
Workbenches
All
Default shortcut
V S
Introduced in version
-
See also
Std ViewFitAll

Descrição

The Std ViewFitSelection command zooms and pans the camera so that all selected objects fit inside the active 3D view. This command is useful if for some reason objects are beyond the boundaries of the current 3D View or can't easily be found using 3D navigation.

Utilização

  1. Select one or more objects.
  2. There are several ways to invoke the command:
    • Press the Fit selection button.
    • Select the View → Standard views → Fit selection option from the menu.
    • Select the Fit selection option from the 3D view context menu.
    • Select the Fit selection option from the Mini-cube menu of the Navigation Cube.
    • Use the keyboard shortcut: V then S.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The SendMsgToActiveView method of the FreeCADGui object can be used to zoom the active view to fit selection.

import FreeCADGui

FreeCADGui.SendMsgToActiveView("ViewSelection")